• Welcome to the new Mac-Forums. See News and Community Announcements for more details.

Updating Mac OS X Server

Joined
May 5, 2009
Messages
260
Reaction score
1
Points
18
Your Mac's Specs
MacBook Pro with Retina Display: Core i7 2.3GHz, 16GB, 256GB, Mountain Lion
We have a Mac Mini Server Late 2012. It is currently running OS X 10.8.5. I have just deployed a new Windows 10 Machine which no longer has support for SMBv1. I am not really interested in making windows 10 work around this issue, just update the server software. I attempted to install Mac OS 10.14 Mojave. I get the warning that I need to update the server software, and continue, it will reboot and I will get an error stating Mac OS Server cannot be installed on this machine. Am I missing something? Do I need to update to another version or 2 before updating to Mojave?
 
Joined
May 21, 2012
Messages
7,860
Reaction score
144
Points
63
Location
13th state, U.S.A.
Your Mac's Specs
iPhone 11 iOS 13, 12.9" iPad Pro 1 iPadOS 13, Late 2014 Mac Mini macOS 10.15
Joined
May 5, 2009
Messages
260
Reaction score
1
Points
18
Your Mac's Specs
MacBook Pro with Retina Display: Core i7 2.3GHz, 16GB, 256GB, Mountain Lion
I did find that there was 2 firmware updates that were waiting, one of which I had to upgrade to 10.9.5 before installing. However this has only helped get the OS updated. Now I am at a point where I get an error opening Server.app, "This version of Server does not support upgrading the Server data on this volume. To upgrade your Server data, you will need to install an older version of Server and OS X." I have found a suggestion online that said to remove the Library/Server folder, so I renamed it and reopened the Server.app and it went through the setup, however, I have no users, no groups, nothing is setup except the server name.

I am moving from Server version 2.2.5 to 5.8 I am assuming that is my issue. Is there anyway to upgrade this data? I have the server reverted back to OS X 10.8.5 (the Secondary Hard drive installed is a clone that is made nightly) that way my users can use the server as normal. My thought is I might have to purchase server 3.2.2 and install on a OS that supports running it, and migrate the data, then hopefully be able to migrate the data since version 4 and 5 were in the same purchase on the app store.
 
Top